Bug Hunting Session
Bug 42794 - UI: Skipping entire page with mouse wheel set to "one screen at a time"
Summary: UI: Skipping entire page with mouse wheel set to "one screen at a time"
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.1 RC1
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Scrolling-PageUpDown
  Show dependency treegraph
 
Reported: 2011-11-10 11:54 UTC by Nikola Rajačić
Modified: 2018-10-21 11:39 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nikola Rajačić 2011-11-10 11:54:59 UTC
With the mouse wheel set to move "one screen at a time" (in the Windows Control Panel), when scrolling with it, writer just moves to the begining of the next/previous page.

The expected behaviour (as seen in other similar programs) would be scrolling the the page in the wanted direction for a length equal to the vertical lenght of the area visible at the current zoom level.

Basically, it should move for about as much as pressing pgup/pgdown would, without moving the caret.
Comment 1 sasha.libreoffice 2012-03-07 02:20:21 UTC
Thanks for bugreport
Please, verify if in last version of LibreOffice still reproducible
Comment 2 Nikola Rajačić 2012-03-07 04:05:42 UTC
Can confirm for 3.5.1 RC1, the latest version available for download @ the site.
Comment 3 sasha.libreoffice 2012-03-07 05:21:06 UTC
Thanks for additional testing. I also reproduced it on Windows XP 32 bit
Comment 4 Hb 2013-02-24 10:24:26 UTC
Reproducible in 4.0.2 under Windows7 64bit too.

Sure that this is an UI bug?
Comment 5 Hb 2013-02-24 10:44:50 UTC
UI related page-by-page navigation issue in bug 51241.
Comment 6 Hb 2013-02-25 07:05:53 UTC
A temporary help is given by programs which change the Mouse Wheel events to PageUp/PageDown keystrokes. 

1. Download http://www.highrez.co.uk/downloads/XMouseButtonControl.htm 
2. Add a handler set for the application soffice.bin.
3. For Wheel Up set Simulated Keys (pressed)[{PGUP]}
Comment 7 Hb 2013-02-25 20:56:34 UTC
Version back to original report as said in bug 51241 comment 2 .
Comment 8 QA Administrators 2015-02-19 15:45:50 UTC Comment hidden (obsolete)
Comment 9 Buovjaga 2015-03-08 18:58:57 UTC
Reproduced.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 10 tommy27 2016-04-16 07:25:15 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2017-05-22 13:26:50 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522